DocumentID: 10562066-4078-4291-835e-fc1067a576fa
TakenAt: 2019-06-14T02:22:06Z
TakenSrc: meta
UID: pqbcf3o2i86a95s1
Type: image
Title: Cape Roger Curtis / Bowen Island / 2019
TimeZone: America/Vancouver
PlaceSrc: meta
Altitude: 21
Lat: 49.34035
Lng: -123.43104
Year: 2019
Month: 6
Day: 13
ISO: 25
Exposure: 1/1083
FNumber: 2.2
FocalLength: 34
Quality: 4
Details:
  Keywords: bowen, bowen-island, british-columbia, canada, cape, curtis, demo, green,
    island, roger
CreatedAt: 2020-06-03T09:16:36Z
UpdatedAt: 2021-02-21T21:37:52.857156455Z
